View Issue Details

IDProjectCategoryView StatusLast Update
0003143Part[All Projects] Generalpublic2018-01-23 18:53
Reportermore11Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLenovo laptopOSLubuntuOS Versionlatest
Product Version[FreeCAD] 0.17 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0003143: Step export doesn't honor placement
DescriptionIn order to allow CNC cutting of the parts, I have made copies of all parts. The copied part is rotated and moved to x/y plane.

Exporting the copied parts to a step file, the original placement of the part is used.

Generated.fcstd is the master drawing.
paraboliskt-midbashorn-cad.step is the failed export.
paraboliskt-midbashorn-cad.stl is a successful export.
Steps To ReproduceRead the generated.fcstd file.
Mark all parts named ..Cp
export using step file format
open the exported file
Additional InformationOS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11670 (Git)
Build type: None
Branch: master
Hash: 7b066fe33488ddc389c4545e93647a8e59e69a2b
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/UnitedStates (en_US)
TagsNo tags attached.

Activities

more11

2017-07-28 06:42

reporter  

paraboliskt-midbashorn-cad.step (1,651,709 bytes)
genererad.fcstd (264,252 bytes)
paraboliskt-midbashorn-cad.stl (554,884 bytes)

more11

2017-07-28 20:06

reporter   ~0009855

In steps to reproduce, add "open the exported file"

The export worked a couple of weeks ago, so the bug should be in a recent change.

more11

2017-08-04 14:07

reporter   ~0009871

It works in 0.16 for windows.

OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6706 (Git)
Build type: Release
Branch: releases/FreeCAD-0-16
Hash: f86a4e411ff7848dea98d7242f43b7774bee8fa0
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

genererad.step (1,755,342 bytes)

normandc

2017-08-04 21:46

manager   ~0009872

STEP export got massive improvements in 0.17.

I think this topic is related to your issue. Please read wmayer's post at the bottom and vejmarie's reply in the next page.

https://forum.freecadweb.org/viewtopic.php?f=10&t=23400&start=20#p184805

more11

2017-08-04 22:02

reporter   ~0009874

It is probably related.

Kunda1

2017-12-11 17:07

manager   ~0010570

Dedicated forum thread: https://forum.freecadweb.org/viewtopic.php?f=8&t=25826

normandc

2017-12-30 16:27

manager   ~0010633

Please test again in the latest version of freecad-daily. I believe the problem may be fixed.

I opened genererad.fcstd, selected everything visible, and exported to STEP. When importing that STEP back, all elements are exactly in the same positions as the original FCStd file.

Tested in
OS: Ubuntu 16.04.3 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.12871 (Git)
Build type: None
Branch: master
Hash: 070395d67ca45826f1481da80aa9e0f6a9ef4292
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: French/Canada (fr_CA)

more11

2017-12-30 23:25

reporter   ~0010638

Latest daily build works

Kunda1

2017-12-31 00:48

manager   ~0010639

Thank you. Resolving.

Kunda1

2018-01-23 18:53

manager   ~0010829

Closing

Issue History

Date Modified Username Field Change
2017-07-28 06:42 more11 New Issue
2017-07-28 06:42 more11 File Added: paraboliskt-midbashorn-cad.step
2017-07-28 06:42 more11 File Added: genererad.fcstd
2017-07-28 06:42 more11 File Added: paraboliskt-midbashorn-cad.stl
2017-07-28 20:06 more11 Note Added: 0009855
2017-07-29 21:12 Kunda1 Description Updated View Revisions
2017-07-29 21:13 Kunda1 Steps to Reproduce Updated View Revisions
2017-07-29 21:15 Kunda1 Tag Attached: #post-to-forum
2017-08-04 14:07 more11 File Added: genererad.step
2017-08-04 14:07 more11 Note Added: 0009871
2017-08-04 21:46 normandc Note Added: 0009872
2017-08-04 22:02 more11 Note Added: 0009874
2017-12-11 17:07 Kunda1 Note Added: 0010570
2017-12-30 16:27 normandc Note Added: 0010633
2017-12-30 17:01 Kunda1 Tag Detached: #post-to-forum
2017-12-30 17:01 Kunda1 Status new => feedback
2017-12-30 23:25 more11 Note Added: 0010638
2017-12-30 23:25 more11 Status feedback => new
2017-12-31 00:48 Kunda1 Status new => resolved
2017-12-31 00:48 Kunda1 Resolution open => fixed
2017-12-31 00:48 Kunda1 Fixed in Version => 0.17
2017-12-31 00:48 Kunda1 Note Added: 0010639
2017-12-31 13:44 normandc Project Draft => Part
2017-12-31 13:44 normandc Category Bug => General
2018-01-23 18:53 Kunda1 Status resolved => closed
2018-01-23 18:53 Kunda1 Note Added: 0010829